## org.apache.xerces.validators.common
Class CMAny

    java.lang.Object
      |
      +--org.apache.xerces.validators.common.CMNode
            |
            +--org.apache.xerces.validators.common.CMAny

public class CMAny
extends CMNode

Content model any node.

Version:
  $Id: CMAny.java,v 1.3 2001/06/25 14:47:12 sandygao Exp $

Constructor Summary
`CMAny(int type, int uri, int position)` Constructs a content model any.

Method Summary
`protected void` `calcFirstPos(org.apache.xerces.validators.common.CMStateSet toSet)`
`protected void` `calcLastPos(org.apache.xerces.validators.common.CMStateSet toSet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMAny

    public CMAny(int type,
                 int uri,
                 int position)
          throws CMException

  Constructs a content model any.

Method Detail

### calcFirstPos

    protected void calcFirstPos(org.apache.xerces.validators.common.CMStateSet toSet)
                         throws CMException

  Overrides:
    calcFirstPos in class CMNode

### calcLastPos

    protected void calcLastPos(org.apache.xerces.validators.common.CMStateSet toSet)
                        throws CMException

  Overrides:
    calcLastPos in class CMNode

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.